Create an entity
- Base URL
-
https://{kibana_url}
- POST /api/security/entity_store/entities/{entityType}
- POST /s/{space_id}/api/security/entity_store/entities/{entityType}
Create a new entity record in the Entity Store for the specified entity type.
Required privileges
- Privileges securitySolution
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Any of:
-
entityobject
-
entityobject
-
entityobject
-
entityobject
Responses
200
application/json
Indicates the entity was successfully created.
400
application/json
Bad request.
409
application/json
Conflict.